/build/linux-KM2a5S/linux-4.13.0/drivers/usb/core/devio.c is crashing on kvm / qemu machine bootup

Bug #1733901 reported by Brian Hampel on 2017-11-22
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Joseph Salisbury
Artful
High
Unassigned

Bug Description

since the upgrade to kernel 4.13.0-17 on ubuntu mate 17.10 the usb module is crashing if I bootup my windows 10 kvm / qemu machine. Its managed via virtmanager.

Here is the trace:

Nov 22 16:37:24 octo kernel: [ 789.262361] ------------[ cut here ]------------
Nov 22 16:37:24 octo kernel: [ 789.262365] WARNING: CPU: 0 PID: 2978 at /build/linux-KM2a5S/linux-4.13.0/drivers/usb/core/devio.c:1583 proc_do_submiturb+0x993/0xd50
Nov 22 16:37:24 octo kernel: [ 789.262365] Modules linked in: vhost_net vhost macvtap macvlan tap bnep ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_co
nntrack nf_conntrack xt_CHECKSUM iptable_mangle ipt_REJECT nf_reject_ipv4 xt_tcpudp bridge stp llc ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter nls_iso8859_1 snd_hda_codec_hdmi snd_usb_audio
 snd_usbmidi_lib snd_seq_midi snd_hda_codec_realtek snd_seq_midi_event snd_hda_codec_generic intel_rapl x86_pkg_temp_thermal intel_powerclamp kvm_intel uvcvideo kvm snd_rawmidi videobuf2_vmalloc videobuf2_memops
 videobuf2_v4l2 snd_hda_intel videobuf2_core intel_cstate snd_hda_codec videodev snd_seq intel_rapl_perf snd_hda_core snd_seq_device media snd_hwdep snd_pcm serio_raw snd_timer eeepc_wmi snd asus_wmi mei_me
Nov 22 16:37:24 octo kernel: [ 789.262387] sparse_keymap wmi_bmof soundcore input_leds joydev shpchp mei hci_uart btbcm serdev btqca btintel bluetooth ecdh_generic intel_lpss_acpi intel_lpss acpi_als acpi_pad
kfifo_buf mac_hid industrialio coretemp vfio_pci vfio_virqfd irqbypass vfio_iommu_type1 vfio parport_pc ppdev lp parport ip_tables x_tables autofs4 algif_skcipher af_alg dm_crypt raid10 raid456 async_raid6_recov
 async_memcpy async_pq async_xor async_tx xor raid6_pq libcrc32c raid0 multipath linear raid1 hid_generic usbhid mxm_wmi i915 crct10dif_pclmul crc32_pclmul ghash_clmulni_intel pcbc aesni_intel aes_x86_64 i2c_alg
o_bit crypto_simd drm_kms_helper glue_helper cryptd syscopyarea e1000e sysfillrect sysimgblt fb_sys_fops psmouse ptp drm pps_core ahci libahci wmi video pinctrl_sunrisepoint i2c_hid pinctrl_intel hid
Nov 22 16:37:24 octo kernel: [ 789.262416] CPU: 0 PID: 2978 Comm: qemu-system-x86 Not tainted 4.13.0-17-generic #20-Ubuntu
Nov 22 16:37:24 octo kernel: [ 789.262416] Hardware name: System manufacturer System Product Name/PRIME Z270-A, BIOS 0906 03/22/2017
Nov 22 16:37:24 octo kernel: [ 789.262417] task: ffff95633c5b5f00 task.stack: ffffb6e844318000
Nov 22 16:37:24 octo kernel: [ 789.262418] RIP: 0010:proc_do_submiturb+0x993/0xd50
Nov 22 16:37:24 octo kernel: [ 789.262419] RSP: 0018:ffffb6e84431bd38 EFLAGS: 00010282
Nov 22 16:37:24 octo kernel: [ 789.262420] RAX: 000000000000002a RBX: ffff9562b500c6c0 RCX: ffffffff8905fd08
Nov 22 16:37:24 octo kernel: [ 789.262420] RDX: 0000000000000000 RSI: 0000000000000092 RDI: 0000000000000247
Nov 22 16:37:24 octo kernel: [ 789.262421] RBP: ffffb6e84431bdc0 R08: 000000000000002a R09: 000000000000040e
Nov 22 16:37:24 octo kernel: [ 789.262421] R10: 0000000000000200 R11: 0000000000000000 R12: 0000000000000001
Nov 22 16:37:24 octo kernel: [ 789.262422] R13: ffff95659f8b3540 R14: 000055ef781efcf8 R15: ffffb6e84431be00
Nov 22 16:37:24 octo kernel: [ 789.262423] FS: 00007f88e0b39c80(0000) GS:ffff9565bec00000(0000) knlGS:0000000000000000
Nov 22 16:37:24 octo kernel: [ 789.262423] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Nov 22 16:37:24 octo kernel: [ 789.262424] CR2: fffff80029b18800 CR3: 00000001e146d000 CR4: 00000000003426f0
Nov 22 16:37:24 octo kernel: [ 789.262424] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Nov 22 16:37:24 octo kernel: [ 789.262425] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Nov 22 16:37:24 octo kernel: [ 789.262425] Call Trace:
Nov 22 16:37:24 octo kernel: [ 789.262429] ? compat_poll_select_copy_remaining+0x120/0x120
Nov 22 16:37:24 octo kernel: [ 789.262430] usbdev_do_ioctl+0xa34/0x1170
Nov 22 16:37:24 octo kernel: [ 789.262431] ? compat_poll_select_copy_remaining+0x120/0x120
Nov 22 16:37:24 octo kernel: [ 789.262433] usbdev_ioctl+0xe/0x20
Nov 22 16:37:24 octo kernel: [ 789.262434] do_vfs_ioctl+0xa5/0x610
Nov 22 16:37:24 octo kernel: [ 789.262435] SyS_ioctl+0x79/0x90
Nov 22 16:37:24 octo kernel: [ 789.262437] entry_SYSCALL_64_fastpath+0x1e/0xa9
Nov 22 16:37:24 octo kernel: [ 789.262438] RIP: 0033:0x7f88db2ffea7
Nov 22 16:37:24 octo kernel: [ 789.262439] RSP: 002b:00007fff35722f88 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Nov 22 16:37:24 octo kernel: [ 789.262440] RAX: ffffffffffffffda RBX: 0000000000006be4 RCX: 00007f88db2ffea7
Nov 22 16:37:24 octo kernel: [ 789.262440] RDX: 000055ef781efcc0 RSI: 000000008038550a RDI: 0000000000000088
Nov 22 16:37:24 octo kernel: [ 789.262441] RBP: 000055ef76e7f5c0 R08: 0000000000000000 R09: 000055ef781efcc0
Nov 22 16:37:24 octo kernel: [ 789.262441] R10: 000055ef785a86d0 R11: 0000000000000246 R12: 00007fff35723584
Nov 22 16:37:24 octo kernel: [ 789.262442] R13: 000055ef76e7f5c0 R14: 0000000200000000 R15: 0000000000000000
Nov 22 16:37:24 octo kernel: [ 789.262443] Code: 00 c7 45 a8 00 00 00 00 48 c7 45 b8 00 00 00 00 0f 85 5e f8 ff ff 89 c2 48 c7 c7 58 44 f3 88 c6 05 5a 53 95 00 01 e8 6e 2e a2 ff <0f> ff 49 63 47 18 e9 3e f8 ff
ff c7 45 8c 00 00 00 00 c7 45 98
Nov 22 16:37:24 octo kernel: [ 789.262461] ---[ end trace 4a596b1926d43c68 ]---
Nov 22 16:37:24 octo kernel: [ 789.262791] DMAR: DRHD: handling fault status reg 3

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: linux-image-4.13.0-17-generic 4.13.0-17.20
ProcVersionSignature: Ubuntu 4.13.0-17.20-generic 4.13.8
Uname: Linux 4.13.0-17-generic x86_64
ApportVersion: 2.20.7-0ubuntu3.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: brian 1955 F.... pulseaudio
 /dev/snd/controlC2: brian 1955 F.... pulseaudio
 /dev/snd/controlC1: brian 1955 F.... pulseaudio
CurrentDesktop: MATE
Date: Wed Nov 22 16:48:06 2017
HibernationDevice: RESUME=UUID=2709a14c-6f21-4daf-b23c-d83007f207b7
InstallationDate: Installed on 2017-04-21 (214 days ago)
InstallationMedia: Ubuntu-MATE 17.04 "Zesty Zapus" - Release amd64 (20170412)
MachineType: System manufacturer System Product Name
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.13.0-17-generic root=/dev/mapper/ubuntu--mate--vg-root ro quiet splash intel_iommu=on vfio_iommu_type1.allow_unsafe_interrupts=1 pcie_aspm=off vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.13.0-17-generic N/A
 linux-backports-modules-4.13.0-17-generic N/A
 linux-firmware 1.169
RfKill:

SourcePackage: linux
UpgradeStatus: Upgraded to artful on 2017-07-28 (117 days ago)
dmi.bios.date: 03/22/2017
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 0906
dmi.board.asset.tag: Default string
dmi.board.name: PRIME Z270-A
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev 1.xx
dmi.chassis.asset.tag: Default string
dmi.chassis.type: 3
dmi.chassis.vendor: Default string
dmi.chassis.version: Default string
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr0906:bd03/22/2017:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnPRIMEZ270-A:rvrRev1.xx:cvnDefaultstring:ct3:cvrDefaultstring:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Brian Hampel (th3r3al) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Brian Hampel (th3r3al) wrote :

The fallback to kernel version 4.13.0-16-generic is working, now the usb redirection is working fine again.

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.14 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: needs-bisect
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
David Wilson (dmwilson1990) wrote :
Download full text (7.9 KiB)

I'm having the same issue on the same kernel version (4.12.0-17). Falling back to version 4.12.0-16 resolved the issue. At this time I do not have the ability to test the mainline kernel. If this bug gets close to being marked for expiration I'll see what I can do. Trace below:
Nov 24 01:27:49 tower kernel: [ 788.880485] uurb->buffer_length is too short 6144 vs 0
Nov 24 01:27:49 tower kernel: [ 788.880506] ------------[ cut here ]------------
Nov 24 01:27:49 tower kernel: [ 788.880515] WARNING: CPU: 0 PID: 2626 at /build/linux-KM2a5S/linux-4.13.0/drivers/usb/core/devio.c:1583 proc_do_submiturb+0x993/0xd50
Nov 24 01:27:49 tower kernel: [ 788.880516] Modules linked in: vhost_net vhost tap vfio_pci vfio_virqfd vfio_iommu_type1 vfio ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter binfmt_misc snd_hda_codec_hdmi bridge stp llc intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm irqbypass intel_cstate intel_rapl_perf lpc_ich joydev nls_iso8859_1 snd_usb_audio snd_usbmidi_lib snd_rawmidi snd_seq_device input_leds snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec xpad ff_memless snd_hda_core mei_me snd_hwdep mei snd_pcm snd_timer snd soundcore shpchp mac_hid ib_iser rdma_cm iw_cm ib_cm ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_isc si sunrpc ip_tables x_tables autofs4 btrfs raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx xor raid6_pq libcrc32c
Nov 24 01:27:49 tower kernel: [ 788.880578] raid1 raid0 multipath linear hid_logitech_hidpp hid_logitech_dj hid_generic usbhid hid crct10dif_pclmul crc32_pclmul ghash_clmulni_intel pcbc aesni_intel nouveau aes_x86_64 crypto_simd glu e_helper cryptd mxm_wmi video i2c_algo_bit ttm drm_kms_helper syscopyarea e1000e sysfillrect sysimgblt fb_sys_fops drm ptp nvme pps_core nvme_core wmi
Nov 24 01:27:49 tower kernel: [ 788.880610] CPU: 0 PID: 2626 Comm: qemu-system-x86 Not tainted 4.13.0-17-generic #20-Ubuntu
Nov 24 01:27:49 tower kernel: [ 788.880612] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./X99 Extreme4, BIOS P3.60 08/11/2016
Nov 24 01:27:49 tower kernel: [ 788.880614] task: ffff977bf734ae80 task.stack: ffffabaa87858000
Nov 24 01:27:49 tower kernel: [ 788.880616] RIP: 0010:proc_do_submiturb+0x993/0xd50
Nov 24 01:27:49 tower kernel: [ 788.880618] RSP: 0018:ffffabaa8785bd38 EFLAGS: 00010282
Nov 24 01:27:49 tower kernel: [ 788.880620] RAX: 000000000000002a RBX: ffff977bf8cb9600 RCX: ffffffff8345fd08
Nov 24 01:27:49 tower kernel: [ 788.880622] RDX: 0000000000000000 RSI: 0000000000000092 RDI: 0000000000000247
Nov 24 01:27:49 tower kernel: [ 788.880623] RBP: ffffabaa8785bdc0 R08: 000000000000002a R09: 0000000000000509
Nov 24 01:27:49 tower kernel: [ 788.880624] R10: 0000000000000200 R11: 0000000000000000 R12: 0000000000000002
Nov 24 01:27:49 tower kernel: [ 788.880625...

Read more...

Peter Maloney (peter-maloney) wrote :

@jsalisbury I have tested some vanilla kernels 4.13.x that have the same problem. See my paste here which seems like the exact same problem, which I pasted in reply to someone else's with similar/same problem https://gist.github.com/anonymous/d1cfe9ef5ebef0f96bb8d9ac451140f0

But since 4.13.11 (also tested 4.13.12, 4.13.15 and 4.13.16), it works fine. My kernels are just vanilla plus the AMD NPT patch and acs_override.

And RE the v4.14 testing suggestion... beware of a data corrupting bug in the block layer before v4.14.2, and avoid testing those, especially if you use bcache and btrfs which trivially gets corrupt (the bug: https://www.spinics.net/lists/linux-bcache/msg05290.html and the fix: https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=62530ed8b1d)

Brian Hampel (th3r3al) wrote :

@peter-maloney thanks for testing this!

@jsalisbury Added tag "kernel-fixed-upstream" and set it to confirmed.

tags: added: kernel-fixed-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

@peter-maloney The Artful -proposed repository is now based on 4.13.13. Since the bug is fixed since 4.13.11, can you test -proposed to see if the bug is now fixed by picking up the upstream stable updates?

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed.

Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Confirmed → In Progress
Changed in linux (Ubuntu Artful):
status: New → In Progress
importance: Undecided → High

This bug was nominated against a series that is no longer supported, ie artful. The bug task representing the artful nomination is being closed as Won't Fix.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu Artful):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers